*{
    
    margin: 0;
    padding: 0;
    box-sizing: border-box;
 
}


html {
    scroll-behavior: smooth;
  }

body{
    
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    background-color: black;
    color:#e7e7e7;
    min-height: 100vh;
    line-height: 1.5;
      overflow-x: hidden;
}


.image-gradient{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    right:0;
    opacity: 0.1;
    z-index: -1;
   
}

.layer-blur{
    height: 0;
    width: 30rem;
    position: absolute;
    top: 20%;
    right: 0;
    box-shadow: 0 0 700px 15px white;
    rotate: -30deg;
    z-index: -1;
}

.container{
    width: 100%;
    margin: 40px 10px;
   
    position: relative; 
    /*overflow: hidden;*/
    
}

header{
    display: flex;
    justify-content:right;
    align-items: center;
    padding: 1rem 5rem;
    z-index: 999;
    margin-top: 40px;
}

header h1{
    margin: 0;
    font-size: 3rem;
    font-weight: 300;
}

nav{
    display: flex;
    align-items: center;
    gap: 50px;
   /* margin-left: -15%;*/
    margin: 20px 60px 20px 20px;
}

nav a{
    font-size: 1.5rem;
    letter-spacing: 0.1rem;
    transition: color 0.2s ease;
    text-decoration: none;
    color: inherit;
}

nav a:hover{
    color: #a7a7a7;
    text-decoration: underline;
    text-decoration-color: #1C82AD ;
}

/*
.btn-signing{
    background-color: #a7a7a7;
    color: black;
    padding: 0.8rem 2rem;
    border-radius: 50px;
    border: none;
    font-size: 1rem;
    font-weight: 500;
    transition: background-color 0.2s ease;
    cursor: pointer;
}

.btn-signing:hover{
    background-color: white;
}

*/

main{
   
    display: flex;
    flex-wrap: nowrap;
    margin-left: 80px;
    /*
    flex-direction: column;
    justify-content: center;
    min-height: calc(90vh- 6rem);
    */
    
}

.content{
   /* max-width: 40rem; */
    margin-left: 16%;
    margin-top: 5%;
    z-index: 999;
    height: 400px;
    width: 500px;
   
}


.tag-box{
    position: relative;
    width: 18rem;
    height: 2.5rem;
    border-radius: 50px;
    background: linear-gradient(to right,#13005A, #00337C,#1C82AD, #1C82AD,  #00337C, #13005A);
    background-size: 200%;
    animation: animationGradient 2.5s linear infinite;
    box-shadow: 0 0 15px  rgba(255, 255, 255, 0.3);
}

/* #13005A   azul subido
#00337C    azul super subido
#1C82AD    verde azul subido
#03C988   verde

*/

@keyframes animationGradient{
    to{
        background-position: 200%;
    }
}

.tag-box .tag{
    position: absolute;
    inset: 3px 3px 3px 3px;
    background-color: black;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.5s ease;
    cursor: pointer;
}

.tag-box .tag:hover{
    color: #5300a0;
}


/* lo mismo de tag-box pero en buttons*/

.buttons{
    position: relative;
    width: 12rem;
    height: 2rem;
    border-radius: 50px;
    background: linear-gradient(to right,#13005A, #00337C,#1C82AD, #1C82AD,  #00337C, #13005A);
    background-size: 200%;
    animation: animationGradient 2.5s linear infinite;
    box-shadow: 0 0 15px  rgba(255, 255, 255, 0.3);
    
}

.buttons-text{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif; ;
    align-items: center;
    color: white;
    text-align: center;
    letter-spacing: 0.1rem;
}

.buttons-text:hover{
   
    color:#a7a7a7;
    cursor: pointer;
    
}

/* hasta aqui cambios*/

.content h1{
    font-size: 2.5rem;
    font-weight: 600;
    letter-spacing: 0.1rem;
    margin: 2.5rem 0rem 1rem;
    line-height: 1.2;
    text-shadow: 0 0 10px rgba(128, 128, 128, 0.418);

}

.description{
    margin: 0rem 0rem 1rem;
    font-size: 1.1rem;
    letter-spacing: 0.05em;
    max-width: 35rem;
    color: gray;
    text-align: justify;
    font-style: italic;
}



/*
.buttons{
    display: flex;
    gap: 1rem;

}

.btn-get-started{
    text-decoration: none;
    border: 1px solid #2a2a2a;
    padding: 0.7rem 1.2rem;
    border-radius: 50px;
    font-size: 1.2rem;
    font-weight:600;
    letter-spacing:0.1em;
    transition: background-color 0.2s ease;

}

.btn-get-started:hover{
    background-color: black;

.btn-singing-main{
    text-decoration: none;
    background-color:lightgray;
    color: black;
    padding: 0.6rem 2.5rem;
    border-radius: 50px;
    font-size: 1.2rem;
    font-weight: 600;
    letter-spacing: 0.1em;
    transition: background-color 0.2s ease;
}

.btn-singing-main:hover{
    background-color: gray;

*/

#contenedor3D{
    height: 600px;
    width: 600px;
    margin-left: 55px;
    /*display: inline-flex;*/
   /* background-color: white;*/
    z-index: 99;
    animation: show 1s ease-in-out forwards;
}

model-viewer{
    height: 480px;
    width: 480px;
   
}



#informacion{
    box-sizing: border-box;
    width: auto;
    display: grid;
    flex-direction: column;
    place-items: center;
    z-index: -3;
}


#texto_{
    text-indent: 40px;
    padding: 30px;
    font-size: 20px;
    margin-bottom: 30px;
    text-align: justify;
}
p>texto_{
    text-indent: 5em;
   
  }
p> strong{
    font-size: 30px;

}
/*
#about_me3{
    content: "";
    position: absolute;
    
    width: 100%;
    background-image: conic-gradient(red,blue);
    top:50%;
    left:50%;
    translate: -50% -50%;
    padding: 3px;
    z-index: 0;
    margin-top: 515px;
    opacity: 0.2;

    width: 810px;
    height: 310px;
    background: blue ;
    border-radius: 25px;
    display: grid;
    flex-direction: column;
    place-items: center;
    
    filter: blur(10px);
}
*/

/*
#about_me3::after, #about_me3::before {
    content: "";
    position: absolute;
    
    width: 100%;
    background-image: conic-gradient(red,blue);
    top:50%;
    left:50%;
    translate: -50% -50%;
    padding: 3px;
    z-index: 0;
    margin-top: 515px;
    opacity: 0.2;

    width: 810px;
    height: 310px;
    background: blue ;
    border-radius: 25px;
    display: grid;
    flex-direction: column;
    place-items: center;
    
    filter: blur(10px);
}

#about_me3::before{
    filter: blur(50px);
    z-index: 2;
}
*/
/* #13005A   azul subido
#00337C    azul super subido
#1C82AD    verde azul subido
#03C988   verde

*/


.skills_space{
    
    height: 150px;
    width: 100% ;
    background-color: #00337C;  /* not shorthand */
    opacity: 0.2;
    z-index: 999;
  }

  @keyframes show{
    from{
        opacity: 0;
        scale:20%
    }
    to{
        opacity: 1;
        scale:100%;
    }
}


#about_me{
   
    width: 100%;
    height: 450px;
    background: black;
  
    display: flex;
    justify-content: center; /* horizontal centering */
    align-items: center;     /* vertical centering */
  
    overflow: hidden; 
    z-index: 30;
    
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    /*z-index: 99;*/
    scroll-margin-top: 500px;
}
#about_me{
      padding-top: 30px; 
      margin: auto;
    }




#gato2{
    margin: 25px;
    display: flex;
    justify-content: center; /* horizontal centering */
    align-items: center;     /* vertical centering */
  
    overflow: hidden; 
    
    
}

#about_me2{
    width: 800px;
    height: 300px;
    background: steelblue;
    border-radius: 25px;
    display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 4;
    margin-top: 40px;
   
}



#myimage{
    
    width: 210px;
    height: 210px;
    border-radius: 20%;
    border: 5px solid #13005A;
    padding: 0px;
    z-index: 99;
    margin: 0 12px;
    /*
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 99;
    */
    animation: show 1s ease-in-out forwards;

}

#skills{
    width: 800px;
    height: 450px;
    background: steelblue;
    border-radius: 25px;
    display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 4;
  /*  margin-top: 60px;
    margin-bottom: 60px;*/
 margin: 60px auto;
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    /*z-index: 99;*/
    /*scroll-margin-top: 500px;*/
      scroll-margin-top: 180px;
    font-size: 18px;
}

th, td {
 
  padding-left: 25px;
  padding-right: 35px;
}
    
#projects{
   max-width: 700px;
    max-height: 500px;
    /*
    width: 800px;
    height: 300px;
    */
    background: steelblue;
    border-radius: 25px;
    /*display: grid;*/
   /* flex-direction: column;*/
   /* place-items: center;*/
    z-index: 4;
   /* margin-top: 70px;
    margin-bottom: 70px;
*/
    margin: 70px auto;
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
  /* display: grid;*/
   flex-direction: row;
   /* place-items: center;*/
    /*z-index: 99;*/
   /* scroll-margin-top: 500px;*/
  scroll-margin-top: 200px;

  display: flex; /* Key part */
  flex-direction: row; /* default, but good to specify */
  flex-wrap: wrap; /* optional: lets items go to the next row if needed */
 justify-content: center;
  
}

#contact{
  width: 800px;
    height: 450px;
    background: steelblue;
    border-radius: 25px;
    display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 4;
    margin: auto;
    margin-top: 70px;
    margin-bottom: 70px;

    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    /*z-index: 99;*/
   /* scroll-margin-top: 500px;*/
  scroll-margin-top: 80px;
}


.esferas{
     height: 60px;
    width: 60px;
    margin-left: 55px;
    /*display: inline-flex;*/
   /* background-color: white;*/
    z-index: 99;
    animation: show 1s ease-in-out forwards;
}

#tabla_skills{
      text-align: center;
      margin-bottom: 30px;
      border: 1px solid #00337C;
      border-radius: 15px;
      background-color: black;
      table-layout: fixed;
      width: 700px;
      /*background-color: rgb(70, 130, 180, 0.8);*/
      
      z-index: 99;
      
}

td,th{
   background-color: #00337C;
   border: 6px solid black;
    border-radius: 15px;
    box-shadow: inset 1px 1px 4px rgba(155,155,155,0.8), 
              inset -1px -1px 4px rgba(0,0,0,0.2);
   
}

td:hover,th:hover{
   background-color: white;
   color: black;
   border: 6px solid black;
    border-radius: 15px;
    box-shadow: inset 1px 1px 4px rgba(155,155,155,0.8), 
              inset -1px -1px 4px rgba(0,0,0,0.2);
   
}




#weather_icon, #recipe_icon, #drawing_icon, #budget_icon{
    
    border-radius: 50%;
    width: 65px;
    height: 65px;
    display: block;
    margin-top: 18px;
}


   /*  display: flex; */
  /*flex-direction: row; /* or column */
 /* justify-content: center; /* horizontal alignment */
  /*align-items: center;  */
  

.cuadros_projects{
     text-decoration: none;
    place-items: center;
    width: 160px;
    height: 160px;
    /*background-color: aquamarine;*/
    background-color:#1C82AD ;
    border: 5px solid #00337C;
    /*
    #00337C;
#1C82AD
#00337C
    */
    border-radius: 20px;
text-align: center;
   
     display: inline;
  align-items: center;
  justify-content: center;
margin: 25px;
 margin-top: 35px;
  
  box-shadow: #13005A ;
/*  cursor: url("images/robotHand.png"), auto;*/

    border-radius: 15px;
    box-shadow: inset 2px 2px 4px rgba(127,255,242,0.8), 
              inset -2px -2px 4px rgba(0,0,0,0.2);
  
   
}


.cuadros_projects:hover{
     text-decoration: none;
    place-items: center;
    width: 150px;
    height: 150px;
    /*background-color: rgb(6, 181, 122);*/
     background-color: rgb(7, 207, 233);
    border-radius: 20px;
    text-align: center;
   
     display: inline;
    align-items: center;
    justify-content: center;
    margin: 25px;
     margin-top: 35px;
  
    box-shadow: #13005A ;
/*  cursor: url("images/robotHand.png"), auto;*/

    border-radius: 15px;
    box-shadow: inset 2px 2px 4px rgba(127,255,242,0.8), 
              inset -2px -2px 4px rgba(0,0,0,0.2);
  
   width: 160px;
    height: 160px;
    transform: scale(1.1, 1.1);
    
    transition: 1.0s;
}

#title_{
    width: 100%;
    height: 5%;
text-align: center;
  font-size: 18px;
  font-weight: bold;
  margin: 5px;
    letter-spacing: 4px;
}

#skills_titulo, #aboutme_titulo{
      letter-spacing: 2px;
      font-size: 25px;
}

#gato2 strong{
      
      font-size: 31px;
}



.apps{
     text-decoration: none;
     font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;;
     font-size: 20px;
      align-items: center;
  justify-content: center;
   flex-direction: column;
   cursor: pointer;
/*  cursor: url("images/robotHand.png"), 1 1, auto;*/
   color: white;
   font-weight: bold;
}

.apps:hover{
     text-decoration: none;
     font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;;
     font-size: 20px;
      align-items: center;
  justify-content: center;
   flex-direction: column;
   cursor: pointer;
   color: #13005A;
   font-weight: bold;
  /* color:#1C82AD;*/
/*  cursor: url("images/robotHand.png"), auto;*/
   
}

.skills_space2{
     width: 100% ;
    height: 130px;
    background-color: #00337C;
    opacity: 0.2;
     z-index: 99;
}


.contact_container{
    color: #13005A;
      height: 100%;
    width: 100%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
    
}


@media(max-width: 785px){

#contact{
    color: #13005A;
    height: 70%;
    width: 70%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
    
}

}

@media(max-width: 785px){
.contact-inputs{
    color: #13005A;
    height: 70%;
    width: 70%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
}
}

.contact_01{
 margin-bottom: 50px;

}

.contact-inputs{
    width: 500px;
    height: 50px;
    border: none;
    outline: none;
    padding-left: 25px;
    font-weight: 500;
    border-radius: 20px;
    color: #13005A;
}

.contact-container button{
    border-radius:20px;
    color: blue;
}

.contact_container textarea{
    height: 100px;
    width: 500px;
    padding-top: 15px;
    
}

#titulo_contact{
    width: 100%;
    color: white;
     text-align: center;
}

#button_submit{
    cursor: pointer;
    width: 80px;
    height: 50px;
    border-radius: 10px;
    font-size: 18px;
    color:white;
    font-weight: bold;
    background-color: #13005A;
    justify-content: center;
    align-items: center;
    vertical-align: middle;
    text-align: center;
     margin: auto;
}

#button_submit:hover{
    cursor: pointer;
    width: 80px;
    height: 50px;
    border-radius: 10px;
    font-size: 18px;
    color:aquamarine;
    font-weight: bold;
    background-color: rgb(60, 63, 161);
    justify-content: center;
    align-items: center;
    vertical-align: middle;
    text-align: center;
     margin: auto;
}

.contact_01{
     justify-content: center;
    align-items: center;
    vertical-align: middle;
    text-align: center;
     margin: auto;
    
}

input::placeholder{
    font-size: 18px;
    opacity: 0.5;
}

input, textarea{
    font-size: 18px;
   
}

#work{
    text-decoration: none;
    color: white;
    font-size: 15px;
    font-weight: bold;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;;
}

#work p{
    text-decoration: none;
    color: white;
}

#footer_div{
    color: white;
    float: right;
    margin: 0px 30px 0px 0px;
}

#footer_div p{
    color: white;
}

.footer_icons{
    width: 40px;
    height: 40px;
    float: left;
    color: white;
    text-decoration: none;
    display: flex; /* Enables Flexbox layout */
  align-items: center; /* Vertically centers items within the flex container */
  justify-content: center; /* Horizontally centers items (if needed) */
  
}

.divs_footer{
    float: right;
    color: white;
    text-decoration: none;
    display: flex; /* Enables Flexbox layout */
  align-items: center; /* Vertically centers items within the flex container */
  justify-content: center; /* Horizontally centers items (if needed) */
  height: 60px; /* Example height for the div */
  border: 1px solid black;
  margin: 0px 60px 0px -25px;
  font-size: 22px;

}

.a_footer{
    text-decoration: none;
    color: white;
  float: right;
}

#p_footer{
   
    margin: 2px 20px 2px 50px;
}

#up_btn {
  position: fixed;
  bottom: 20px;
  right: -100px;
  width: 40px;
  z-index: 999;
  transition: right 0.4s ease;
  cursor: pointer;
}

/* Mobile styles */
@media (min-width:785px){
       .menu-toggle{
        display: none;
         
       }
}
@media (max-width: 785px) {
  nav {
    flex-direction: column;
    background: #00337C;
    
    top: 60px;
    right: 0;
    width: 250px;
    
    padding: 10px;

    /* Animation setup */
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 1s ease, opacity 0.4s ease;
    border-radius: 5px;
    cursor: pointer;

     position: relative;
  z-index: 10000;
    margin: auto;
  }

  nav.show {
    max-height: 350px; /* enough height for menu items */
    opacity: 1;

  }

  .menu-toggle {
    display: block; /* show hamburger icon */
     cursor: pointer;
   
  }
}




@media(max-width: 785px){
.contact-inputs{
    color: #13005A;
    height: 70%;
    width: 70%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
     
}
}

@media(max-width: 785px){
.contact-inputs{
    color: #13005A;
    height: 100%;
    width: 100%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
    
}

}
@media(max-width: 785px){
.contact_01_title textarea{
    color: #13005A;
    height: 100%;
    width: 100%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
}

}

@media(max-width: 900px){
#projects{
     width: 40%;
    height: 90%;
    /*
    width: 800px;
    height: 300px;
    */
    background: steelblue;
    border-radius: 25px;
    /*display: grid;*/
   /* flex-direction: column;*/
   /* place-items: center;*/
    z-index: 4;
    margin: 50px auto;
 /*
    margin-top: 70px;
    margin-bottom: 70px;
    margin-right: 50px;*/
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
  /* display: grid;*/
   flex-direction: row;
   /* place-items: center;*/
    /*z-index: 99;*/
    scroll-margin-top: 500px;

  display: flex; /* Key part */
  flex-direction: row; /* default, but good to specify */
  flex-wrap: wrap; /* optional: lets items go to the next row if needed */
 justify-content: center;
}

}

@media(max-width: 785px){
#skills{
      width: 480px;
    height: 460px;
    background: steelblue;
    border-radius: 25px;
    display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 4;
    margin-top: 60px;
    margin-bottom: 60px;

    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    /*z-index: 99;*/
    scroll-margin-top: 500px;
    font-size: 18px;
     margin: 10px auto;
}

}

@media(max-width: 785px){
#tabla_skills{
    text-align: center;
   
      margin-bottom: 30px;
    
      border: 1px solid #00337C;
      border-radius: 15px;
      background-color: black;
      table-layout: fixed;
      width: 450px;
      /*background-color: rgb(70, 130, 180, 0.8);*/
      font-size: 13px ;
      
      z-index: 99;
}
}

@media(max-width: 785px){
    #about_me{
        
    width: 80%;
    height: 550px;
    background: black;
  
    display: flex;
    justify-content: center; /* horizontal centering */
    align-items: center;     /* vertical centering */
  
    overflow: hidden; 
    z-index: 30;
    
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    /*z-index: 99;*/
    scroll-margin-top: 500px;
   font-size: 10px;
   
    }
}

@media(max-width: 785px){
    #about_me2{
   width: 400px;
    height: 480px;
    background: steelblue;
   
    display:flexbox;
    flex-direction: column;
    place-items: center;
    z-index: 4;
    margin-top: 40px;
    border-radius: 25px;
    
    }
}



@media(max-width: 785px){
    #myimage{
          width: 130px;
    height: 130px;
    border-radius: 20%;
    border: 5px solid #13005A;
    padding: 0px;
    z-index: 99;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
 
    
    /*
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 99;
    */
    animation: show 1s ease-in-out forwards;
  
    }
}


@media(max-width: 785px){
    #gato{
    
    z-index: 99;
    
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0px 0px -30px;
    
    /*
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 99;
    */
    animation: show 1s ease-in-out forwards;
  
    }
}


@media(max-width: 785px){
    #texto_{
        font-size: 18px;
        width: 100%;
       
        margin: 0px auto 0px;

    
    
    /*
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 99;
    */
    animation: show 1s ease-in-out forwards;
    }
}

@media(max-width: 785px){
    #gato2{
     width: 100%;
    margin: 25px;
    display: flex;
    justify-content: center; /* horizontal centering */
  
    overflow: hidden; 

    flex-direction: column; /* stack vertically */
    align-items: center;    /* center in small screens */
    text-align: center;
    }
}

@media(max-width: 785px){
    #gato2 strong{
    
    display: flex;
    justify-content: center; /* horizontal centering */
  
    overflow: hidden; 

    flex-direction: column; /* stack vertically */
    align-items: center;    /* center in small screens */
    text-align: center;
    margin: 0px 50px 0px -10px;
    }
}

@media(max-width: 785px){
#informacion{
     display: flex;        /* enables flexbox */
  align-items: center; 
    box-sizing: border-box;
    width: auto;
    
    flex-direction: column;
    place-items: center;
    z-index: -3;
}
}

@media(max-width: 785px){
#aboutme_titulo{
    text-align: center;

}}

@media(max-width:785px){
    .content{
        margin: -10px auto;
    }
}

@media(max-width: 785px){
    #contenedor3D{
        margin: -10px auto;
        width: 400px;
        height: 600px;
    }
}

@media(max-width: 785px){
    #compu{
        margin: -10px auto;
        width: 200px;
        height: 300px;
    }
}

  
/*
colors
#00337C;
#1C82AD
#00337C

************************************************************************************

For cell size:

*/

@media (max-width: 440px) {
  nav {
    flex-direction: column;
    background: #00337C;
    
    top: 60px;
    right: 0;
    width: 250px;
    
    padding: 10px;

    /* Animation setup */
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 1s ease, opacity 0.4s ease;
    border-radius: 5px;
    cursor: pointer;

     position: relative;
  z-index: 10000;
    margin: auto;
  }

  nav.show {
    max-height: 350px; /* enough height for menu items */
    opacity: 1;

  }

  .menu-toggle {
    display: block; /* show hamburger icon */
     cursor: pointer;
   
  }
}




@media(max-width: 440px){
.contact-inputs{
    color: #13005A;
    height: 70%;
    width: 70%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
     
}
}

@media(max-width: 440px){
.contact-inputs{
    color: #13005A;
    height: 100%;
    width: 100%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
    
}

}
@media(max-width:440px){
.contact_01_title textarea{
    color: #13005A;
    height: 100%;
    width: 100%;
    
    display:grid;
    
    align-items: center;
     
    justify-content: space-evenly;
     border: 10px solid #13005A;
     padding: 15px;
     border-radius: 15px;
}

}

@media(max-width: 440px){
#projects{
     width: 60%;
    height: 90%;
    /*
    width: 800px;
    height: 300px;
    */
    background: steelblue;
    border-radius: 25px;
    /*display: grid;*/
   /* flex-direction: column;*/
   /* place-items: center;*/
    z-index: 4;
    margin: 50px auto;
 /*
    margin-top: 70px;
    margin-bottom: 70px;
    margin-right: 50px;*/
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
  /* display: grid;*/
   flex-direction: row;
   /* place-items: center;*/
    /*z-index: 99;*/
    scroll-margin-top: 500px;

  display: flex; /* Key part */
  flex-direction: row; /* default, but good to specify */
  flex-wrap: wrap; /* optional: lets items go to the next row if needed */
 justify-content: center;
}

}

@media(max-width: 440px){
#skills{
      width: 380px;
    height: 340px;
    background: steelblue;
    border-radius: 25px;
    display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 4;
    margin-top: 60px;
    margin-bottom: 60px;

    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    /*z-index: 99;*/
    scroll-margin-top: 500px;
    font-size: 18px;
     margin: 10px auto;
}

}

@media(max-width: 440px){
#tabla_skills{
    text-align: center;
   
      margin-bottom: 30px;
    
      border: 1px solid #00337C;
      border-radius: 15px;
      background-color: black;
      
      /*background-color: rgb(70, 130, 180, 0.8);*/
      font-size: 10px ;
      
      z-index: 99;
        display: flex;
      /*  justify-content: center;*/
      /*  align-items: center;*/
   width: 360px;
}
}

@media(max-width: 440px){
#tabla_skills img{
   /*display: flex;*/
        padding: 0px 20px 0px 0px;
        width: 50px;
}
}

@media(max-width: 440px){
#tabla_skills td{
        max-width: 87px;
        max-height: 10px;
}
}





@media(max-width: 440px){
    #about_me{
        
    width: 80%;
    height: 620px;
    background: black;
  
    display: flex;
    justify-content: center; /* horizontal centering */
    align-items: center;     /* vertical centering */
  
    overflow: hidden; 
    z-index: 30;
    
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    /*z-index: 99;*/
    scroll-margin-top: 500px;
   font-size: 10px;
   
    }
}

@media(max-width: 440px){
    #about_me2{
   width: 300px;
    height: 525px;
    background: steelblue;
   
    display:flexbox;
    flex-direction: column;
    place-items: center;
    z-index: 4;
    margin-top: 40px;
    border-radius: 25px;
    
    }
}



@media(max-width: 440px){
    #myimage{
          width: 130px;
    height: 130px;
    border-radius: 20%;
    border: 5px solid #13005A;
    padding: 0px;
    z-index: 99;
    margin: 0 auto -70px;
    display: flex;
    justify-content: center;
    align-items: center;
 
    
    /*
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 99;
    */
    animation: show 1s ease-in-out forwards;
  
    }
}


@media(max-width: 440px){
    #gato{
    
    z-index: 99;
    
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 30px 0px -20px;
    
    /*
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 99;
    */
    animation: show 1s ease-in-out forwards;
  
    }
}


@media(max-width: 440px){
    #texto_{
        font-size: 18px;
        width: 100%;
       
        margin: 20px auto -10px;

    
    
    /*
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: show;
    animation-fill-mode: both;
   animation-range: entry 25% cover 50%;
   display: grid;
    flex-direction: column;
    place-items: center;
    z-index: 99;
    */
    animation: show 1s ease-in-out forwards;
    }
}

@media(max-width: 440px){
    #gato2{
     width: 100%;
    margin: 25px;
    display: flex;
    justify-content: center; /* horizontal centering */
  
    overflow: hidden; 

    flex-direction: column; /* stack vertically */
    align-items: center;    /* center in small screens */
    text-align: center;
    }
}

@media(max-width: 440px){
    #gato2 strong{
    
    display: flex;
    justify-content: center; /* horizontal centering */
  
    overflow: hidden; 

    flex-direction: column; /* stack vertically */
   
    margin: 0px 50px 0px -10px;
    }
}

@media(max-width: 440px){
#informacion{
     display: flex;        /* enables flexbox */
  align-items: center; 
    box-sizing: border-box;
    width: auto;
    
    flex-direction: column;
    place-items: center;
    z-index: -3;
}
}

@media(max-width: 440px){
#aboutme_titulo{
    
    width: 240px;
    height: 60px;
   text-align: center;
   padding-top: 30px;
    
}}

@media(max-width:440px){
    .content{
        margin: -10px -70px -20px 0px;
        width: 360px;
        
    }
}
@media(max-width:440px){
    .content h1{
        font-size: 30px;
        margin: 5px -40px;
        width: 100px;
        height: 250px;
    }
}

@media(max-width: 440px){
    #contenedor3D{
        margin: 0px -50px 50px 0px;
        width: 370px;
        height: 570px;
    }
}

@media(max-width: 440px){
    #compu{
        margin: 0px -45px -60px;
        width: 190px;
        height: 290px;
    }
}

@media(max-width: 440px){
    .skills_space{
        
        width: 500px;
        height: 100px;
    }
}

@media(max-width: 440px){
    .description{
        margin: -5px -40px;
        width: 250px;
        height: 100px;
    }
}
@media(max-width: 440px){
    .buttons-text{
        margin: 50px -20px -20px -20px;
    }
}


/*extra*/

@media(max-width: 440px){
    .skills_space2{
       width: 500px;
    }
}

@media(max-width: 440px){
    #up_btn{
      margin: 0px 60px;
    }
}

/*extra en 370px*/




/*extra*/

@media(max-width: 440px){
    #nav-menu a{
      font-size: 18px;
    }
}

@media(max-width: 360px){
    #nav-menu a{
      font-size: 15px;
    }
}


@media(max-width: 440px){
    body{
      overflow-x: hidden;
    }
}
@media(max-width:440px){
html {
    scroll-behavior: smooth;
  }
}

@media(max-width: 360px){
    body{
      overflow-x: hidden;
      ;
    }
}
@media(max-width:360px){
html {
    scroll-behavior: smooth;
  }
}

@media(max-width: 390px){
    #up_btn{
      margin: 0px 100px;
    }
}

@media(max-width: 430px){
    #up_btn{
      margin: 0px 87px;
    }
}